// MurderSpot - a free game based on Clue/Cluedo
// Copyright 2005-2009 Christopher Elsby <chrise@chrise.me.uk>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef MURDERSPOT_LOGWIN_H
#define MURDERSPOT_LOGWIN_H

#include <wx/panel.h>

class wxWindow;
class wxTextCtrl;

class LogWin : public wxPanel
{
public:
    LogWin(wxWindow *parent);
    virtual ~LogWin();
    void setLog(const wxString &log);
    void addMessage(const wxString &msg);
    void clear();
//    void setWelcome();
private:
    wxTextCtrl *log;
};

#endif // !defined(MURDERSPOT_LOGWIN_H)
